package laboratoire4;

import org.junit.Test;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

import static org.junit.jupiter.api.Assertions.*;

class TestPusherBoard {

    private Method getIsValidMethod() throws NoSuchMethodException {
        Method method = PusherBoard.class.getDeclaredMethod("isValid", int.class, int.class, int.class, int.class);
        method.setAccessible(true);
        return method;
    }

    @Test
    public void moveValidation() throws NoSuchMethodException, InvocationTargetException, IllegalAccessException {
        PusherBoard pusherBoard = new PusherBoard();

        //Move examples

        assertEquals(true, getIsValidMethod().invoke(null, null, new Integer[] { 3,2,3,3 }));
//        assertEquals(true,pusherBoard.move("C2","C3"));
//        assertEquals(true,pusherBoard.move("D1","D3"));
//        assertEquals(true,pusherBoard.move("D2","E3"));
    }
}
